commit: 5b5c59026bd75866f1db72b58a620f9a6280952a
Author: Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 21 09:10:04 2017 +0000
Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Sat Oct 21 09:25:13 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b5c5902
dev-perl/Filesys-SmbClient: Add very basic tests
Module compilation tests are better than none.
Package-Manager: Portage-2.3.8, Repoman-2.3.3
.../Filesys-SmbClient-3.200.0-r3.ebuild | 50 ++++++++++++++++++++++
1 file changed, 50 insertions(+)
diff --git a/dev-perl/Filesys-SmbClient/Filesys-SmbClient-3.200.0-r3.ebuild
b/dev-perl/Filesys-SmbClient/Filesys-SmbClient-3.200.0-r3.ebuild
new file mode 100644
index 00000000000..88ce0aaeace
--- /dev/null
+++ b/dev-perl/Filesys-SmbClient/Filesys-SmbClient-3.200.0-r3.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DIST_AUTHOR=ALIAN
+DIST_VERSION=3.2
+inherit perl-module autotools
+
+DESCRIPTION="Provide Perl API for libsmbclient.so"
+
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND=">=net-fs/samba-4.2[client]"
+DEPEND="${RDEPEND}
+ virtual/perl-ExtUtils-MakeMaker
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ "${FILESDIR}/${P}-pkg_config.patch"
+ "${FILESDIR}/${P}-close_fn.patch"
+)
+
+src_prepare() {
+ perl-module_src_prepare
+ eautoreconf
+}
+src_test() {
+ local MODULES=(
+ "Filesys::SmbClient ${DIST_VERSION}"
+ )
+ local failed=()
+ for dep in "${MODULES[@]}"; do
+ ebegin "Compile testing ${dep}"
+ perl -Mblib="${S}" -M"${dep} ()" -e1
+ eend $? || failed+=( "$dep" )
+ done
+ if [[ ${failed[@]} ]]; then
+ echo
+ eerror "One or more modules failed compile:";
+ for dep in "${failed[@]}"; do
+ eerror " ${dep}"
+ done
+ die "Failing due to module compilation errors";
+ fi
+ # standard tests are not designed to work on a non-developer system.
+}